# Gimp.vector_2d_to_3d_val

    @accepts(int, int, int, int, int, int, Gimp.Vector3, Gimp.Vector3)
    @returns(Gimp.Vector3)
    def vector_2d_to_3d_val(sx, sy, w, h, x, y, vp, p):
        # Python wrapper for gimp_vector_2d_to_3d_val()

This function is identical to Gimp.vector_2d_to_3d but the position of the @observer and the resulting point p are passed by value rather than by reference.

sx

  the abscissa of the upper-left screen rectangle.

sy

  the ordinate of the upper-left screen rectangle.

w

  the width of the screen rectangle.

h

  the height of the screen rectangle.

x

  the abscissa of the point in the screen rectangle to map.

y

  the ordinate of the point in the screen rectangle to map.

vp

  position of the observer.

p

  the resulting point.

Returns